PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Initialization Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » PTComp (Programmable Threshold Comparator) » Functions

## General Description

This set of functions is used to configure the PTComp.

## Functions
cy_en_autanalog_status_t | Cy_AutAnalog_PTComp_LoadConfig (uint8_t ptcompIdx, const cy_stc_autanalog_ptcomp_t *ptcompCfg)
| Configures the PTComp per provided static and dynamic settings. More...
cy_en_autanalog_status_t | Cy_AutAnalog_PTComp_LoadStaticConfig (uint8_t ptcompIdx, const cy_stc_autanalog_ptcomp_comp_sta_t *ptcompStaCfg)
| Configures the PTComp per settings in the static configuration structure. More...
cy_en_autanalog_status_t | Cy_AutAnalog_PTComp_LoadDynamicConfig (uint8_t ptcompIdx, uint8_t ptcompDynCfgNum, const cy_stc_autanalog_ptcomp_comp_dyn_t *ptcompDynCfgArr)
| Configures the PTComp per settings in the dynamic configuration structure. More...

## Function Documentation

## ◆ Cy_AutAnalog_PTComp_LoadConfig()

cy_en_autanalog_status_t Cy_AutAnalog_PTComp_LoadConfig | ( | uint8_t | ptcompIdx,
|  | const cy_stc_autanalog_ptcomp_t * | ptcompCfg
| ) |  |

Configures the PTComp per provided static and dynamic settings.

Note
  Reconfiguring the Comp power mode requires a new initialization delay for the PTComp subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  ptcompIdx | The index of the PTComp subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::ptcomp
  ptcompCfg | The pointer to a structure containing the static and dynamic parts of the configuration data for the entire PTComp.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_PTComp_LoadStaticConfig()

cy_en_autanalog_status_t Cy_AutAnalog_PTComp_LoadStaticConfig | ( | uint8_t | ptcompIdx,
|  | const cy_stc_autanalog_ptcomp_comp_sta_t * | ptcompStaCfg
| ) |  |

Configures the PTComp per settings in the static configuration structure.

Note
  Reconfiguring the Comp power mode requires a new initialization delay for the PTComp subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.
  The post-processing configuration is a part of static configuration.

Parameters

  ptcompIdx | The index of the PTComp subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::ptcomp
  ptcompStaCfg | The pointer to a structure containing static configuration data for the PTComp.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_PTComp_LoadDynamicConfig()

cy_en_autanalog_status_t Cy_AutAnalog_PTComp_LoadDynamicConfig | ( | uint8_t | ptcompIdx,
|  | uint8_t | ptcompDynCfgNum,
|  | const cy_stc_autanalog_ptcomp_comp_dyn_t * | ptcompDynCfgArr
| ) |  |

Configures the PTComp per settings in the dynamic configuration structure.

The dynamic configuration of the PTComp can be modified by the Autonomous Controller during operation, per settings in the State Transition Table, see cy_stc_autanalog_stt_t.

Parameters

  ptcompIdx | The index of the PTComp subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::ptcomp
  ptcompDynCfgNum | The actual number of dynamic configurations used to configure the PTComp.
  ptcompDynCfgArr | The pointer to a structure containing dynamic configuration data for the PTComp.

Returns
  Status of initialization, cy_en_autanalog_status_t.